Bug 801900 - [RFE] new consumers do not auto subscribe to already bound consumer group repos
[RFE] new consumers do not auto subscribe to already bound consumer group repos
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
Master
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 14:11 EST by scressi
Modified: 2015-02-28 18:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 167 None None None Never

  None (edit)
Description scressi 2012-03-09 14:11:56 EST
Description of problem:

If you bind a repository to a consumergroup, then add a consumer to the consumergroup that you just bound the repository to, the newly added consumer to that consumergroup will not autobind to that repository.  you have to rebind all repos to that consumergroup for new clients

Version-Release number of selected component (if applicable):

1.0 (current)

How reproducible:

very

Steps to Reproduce:
1. pulp-admin consumergroup bind --id=test-consumergroup --repoid=test-repo
2. pulp-admin -u admin -p admin consumergroup add_consumer --id=test-consumergroup --consumerid=test-consumer
3. pulp-admin consumer info --id=test-consumer

Additional Info          
Actual results:

  +------------------------------------------+
            Consumer Information
+------------------------------------------+

Id                      upstreamconsumer         
Description             None                     
Capabilities
  [x] bind
  [x] heartbeat
Subscribed Repos        []
Agent Status
   Responding           Yes                      
   Last Heartbeat       2012-03-09 19:10:00.873903+00:00

Expected results:

  +------------------------------------------+
            Consumer Information
+------------------------------------------+

Id                      upstreamconsumer         
Description             None                     
Capabilities
  [x] bind
  [x] heartbeat
Subscribed Repos        [u'test-repo']
Agent Status
   Responding           Yes                      
   Last Heartbeat       2012-03-09 19:10:00.873903+00:00

Additional info:

This is critical as we add several systems a day, and with an ever expanding environment this problem will become worse as time goes on
Comment 86 Randy Barlow 2014-11-04 14:45:25 EST
I'm not sure why I put high priority on this nearly a year ago, or why it's severity is urgent, so I am removing the Triaged flag so we can re-triage it.
Comment 87 Brian Bouterse 2015-02-18 19:48:21 EST
Moved to https://pulp.plan.io/issues/167

Note You need to log in before you can comment on or make changes to this bug.